Get user story highlights
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/users/{username}/highlights \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/instagram/users/khaby00/highlights",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/instagram/users/khaby00/highlights?cursor=abc123",
"itemCount": 30,
"orderedItems": [
{
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17890000000000001/",
"entityId": "highlight:17890000000000001",
"totalItems": 42,
"name": "Best of 2025",
"image": [
{
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
}
]
}
]
}
}Users
Get user story highlights
Returns the list of story highlight reels on a user’s profile. Use the highlight endpoint to get individual stories within a highlight.
GET
/
v1
/
instagram
/
users
/
{username}
/
highlights
Get user story highlights
curl --request GET \
--url https://api.konbiniapi.com/v1/instagram/users/{username}/highlights \
--header 'Authorization: Bearer <token>'{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollectionPage",
"partOf": "https://api.konbiniapi.com/v1/instagram/users/khaby00/highlights",
"totalItems": 1309,
"cursor": "0",
"nextCursor": "1772217402000",
"next": "https://api.konbiniapi.com/v1/instagram/users/khaby00/highlights?cursor=abc123",
"itemCount": 30,
"orderedItems": [
{
"type": "OrderedCollection",
"id": "https://www.instagram.com/stories/highlights/17890000000000001/",
"entityId": "highlight:17890000000000001",
"totalItems": 42,
"name": "Best of 2025",
"image": [
{
"type": "Image",
"url": "https://scontent.cdninstagram.com/v/t51.2885-19/avatar.jpg"
}
]
}
]
}
}Authorizations
Send your API key in the Authorization header as a Bearer token.
Example: Authorization: Bearer <your-api-key>
Path Parameters
Instagram username (with or without @ symbol)
Example:
"khaby00"
Query Parameters
Pagination cursor
Example:
"0"
Response
Returns the user story highlights
Show child attributes
Show child attributes
⌘I